## ros-indigo-rocon-std-msgs 0.7.12

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_std_msgs)

##############################################################################
# Dependencies
##############################################################################

find_package(catkin REQUIRED COMPONENTS 
    message_generation
    std_msgs
    rocon_service_pair_msgs
)

##############################################################################
# Messgaes
##############################################################################

add_message_files(
  DIRECTORY msg
  FILES
  Connection.msg
  Icon.msg
  KeyValue.msg
  MasterInfo.msg
  PlatformInfo.msg
  StringArray.msg
  Strings.msg
  Remapping.msg
)

add_service_files(
  DIRECTORY srv
  FILES
  GetPlatformInfo.srv
)

add_service_pair_files(
  DIRECTORY pairs
  FILES
  Strings.pair
)

generate_messages(DEPENDENCIES std_msgs rocon_service_pair_msgs)

##############################################################################
# Package
##############################################################################

catkin_package(CATKIN_DEPENDS
    message_runtime
    std_msgs
    rocon_service_pair_msgs
)

=== debian/changelog ===
ros-indigo-rocon-std-msgs (0.7.12-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-std-msgs (0.7.11-1trusty) trusty; urgency=high

  * connections.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 26 May 2015 15:00:00 -0000

ros-indigo-rocon-std-msgs (0.7.10-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 05 Apr 2015 15:00:00 -0000

ros-indigo-rocon-std-msgs (0.7.9-1trusty) trusty; urgency=high

  * merge indigo
  * add softwre farm tag
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-rocon-std-msgs (0.7.8-1trusty) trusty; urgency=high

  * strings for os
  * add gazebo robot type for export
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-rocon-std-msgs (0.7.6-1trusty) trusty; urgency=high

  * Export architecture_independent flag in package.xml
  * rocon_std_msgs: error: missing build_depend on 'genmsg'
    rocon_std_msgs: error: unconfigured build_depend on 'message_generation'
    rocon_std_msgs: error: unconfigured build_depend on 'uuid_msgs'
  * Contributors: Jihoon Lee, Scott K Logan

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-rocon-std-msgs (0.7.1-1trusty) trusty; urgency=high

  * igloo -> indigo
  * rocon_service -> concert_service
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 08 Apr 2014 15:00:00 -0000

ros-indigo-rocon-std-msgs (0.7.0-1trusty) trusty; urgency=high

  * major redesign focusing on the orchestration platform prototype.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 28 Mar 2014 15:00:00 -0000

ros-indigo-rocon-std-msgs (0.6.3-1trusty) trusty; urgency=high

  * rocon_std_msgs centralises some app manager messages for sharing.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 29 Oct 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rocon-std-msgs
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-rocon-service-pair-msgs, ros-indigo-std-msgs
Homepage: http://www.ros.org/wiki/rocon_std_msgs
Standards-Version: 3.9.2

Package: ros-indigo-rocon-std-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime, ros-indigo-rocon-service-pair-msgs, ros-indigo-std-msgs
Description: Standard messages used by other rocon specific package types.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rocon-std-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
